> For the complete documentation index, see [llms.txt](https://lionstudios.gitbook.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://lionstudios.gitbook.io/readme/features/purchasing/purchase-validation/analytics.md).

# Analytics

The Purchase Validator package handles analytics as part of its validation lifecycle. When a purchase is validated, the appropriate analytics events are sent automatically by the SDK.

{% hint style="warning" %}
To avoid duplicate events and incorrect reporting, these should not be sent manually from game code.
{% endhint %}

### Events Sent Automatically

{% hint style="info" %}
When the Lion Validator is selected, Restore Purchase does not send purchase events. Since restored purchases are not treated as original purchases, the resulting game IAP data is cleaner and more accurate.
{% endhint %}

#### Lion Analytics

Purchase Validator automatically sends the `inapp_purchase` event, including all provided validation data such as `GameplayInfo` and `AdditionalData`.

#### **Adjust**

Purchase Validator automatically sends the `iap_purchase`, `purchase_failed`, and `purchase_notverified` events to Adjust. It also sends subscription events when applicable.

Sandbox purchases are never sent to Adjust in order to avoid inaccurate reporting.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://lionstudios.gitbook.io/readme/features/purchasing/purchase-validation/analytics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
